
namespace XGame.Framework.Asyncs
{
    public class ResultAsync<TResult> : Async, IResultAsync<TResult>
    {

        public TResult Result { get; set; }

        public TResult GetResult()
        {
            return Result;
        }
    }
}
